%%  3:28 AM Tuesday, April 18, 2023
%% Yukio Yoshida
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 18)

\paper{ paper-height = 280\mm
}

\header {
  dedication = "Wordless Poem"
  title = " A street in Autumn"
  subtitle = "Landscape of c major"
  subsubtitle =\markup \center-column {
                   "soprano; C clef on 1st line,   alto; C clef on 3rd line."
                   "     tenor; C clef on 4th line,   bass; F clef on 4th line." }
  composer = \markup { \italic "yukio yoshida" }
  meter = \markup { \column { \left-align \box
                              \column { \center-align
                               { " relax feeling;Largo   " "Landscape Scene"}}}}
  arranger = \markup{\tiny "No.35(Oct. 29, 2008)"}
  copyright = "Public Domain"
%% tagline = " "
}

%%%%%%%%% step by step %%%%%%%%%%%%%%%%%%%%%
%% sheet-line -------------------------------------------------------------------
soprano = {
\override Score.VerticalAxisGroup.remove-first = ##t
    \autoBeamOff
%% 1-4
    f'2^\markup {\bold "soprano"} fis'2. e'8 ees' | f'2 fes'2. e'8 eis' |
    c'4. d'8 e'2. f'4 | c'2 r4 a'4. g'8 f' e' |
\break
%%5-8
    a'1. | b'4 f'8 d' fes'4 e'8 d' c' fis'4. |
    f'2. a'2 g'8 f' | g'4 f'2 d'8 c' d'2~ |
\break
%%9-12
    d'1 e'8 g' a'4~ | a'4 e'8 r8 f'8 a' b'2 fes'4 |
    r4 c'8 d' f'4 c'2.~ | c'1 \clef alto g4^\markup {\bold "alto"} a |
\break
%%13-47
    R1. * 35 \clef soprano |
\break
%%48-52
    r8 gis''8.^\< r8 g''4 r8 g''4.. r4\! |
    g'2 a'2. g'8 f' | gis'2 a'2. g'8 f' | c''1.~ | c''1.^\fermata \bar "|."
}

alto = {
\override Score.VerticalAxisGroup.remove-first = ##t
    \autoBeamOff
%%1-12
    R1. * 12 |
\break
%%13-16
    b1 c'8 b aes4 | b2 a8 g ais4 f2 | b2 fis4 a4 g2 |
    a4 g4. f8 fis2 fes4 |
\break
%%17-20
    c'2 b8 aes gis4 bis2 | b8 a g c'4. a8 f ges2 |
    f1. | c'1. |
\break
%%21-24
    cis'8 ces' c'4 g2 f8 gis ges a |
    r8 a aes g4 r8 a ais g2 | r4 g4 a b2. |
    bes2 \clef tenor e2..^\markup {\bold "tenor"} ees8 |
\break
%%25-47
    R1. * 23 \clef alto |
\break
%%48-52
    r8 cis'8.^\< r8 c'4 r8 c'4.. r4\! |
    a'4 g'2 a'2. | g'4 a' d' e'8 f' g'2 | c''1.~ | c''1.^\fermata \bar "|."
}

tenor = {
\override Score.VerticalAxisGroup.remove-first = ##t
    \autoBeamOff
%%1-24
    R1. * 24 |
\break
%%25-28
    f2 d4. e8 fes g gis4 | ges8 fes fis e4. des2. |
    fis4 f dis1 | d2 des4 d'2. |
\break
%%29-31
    c'8. cis' d'4 des'8. ces' des'2 | dis'8 des' r8 c'2. d'4. |
    r2 cis'16 dis' ces' des' cis' dis' ces'8 des' cis' dis' c' |
\pageBreak
%%32-35
    dis'1 des'2~ | des' d'1 | dis'8 des' ces'2 cis'2. |
    \clef bass bes,8^\markup {\bold "bass"} ces b,2 c2. |
\break
%%36-47
    R1. * 12 \clef tenor |
\break
%%48-52
    r8 gis'8.^\< r8 g'4 r8 g'4..  r4\! |
    c'4 b g2 a8 b c'4 | b4 c' ges4. a8 b8 g4 a16 b |
    c'1.~ | c'1.^\fermata \bar "|."
}

bass = {
\override Score.VerticalAxisGroup.remove-first = ##t
    \autoBeamOff
%%1-35
    R1. * 35 |
\break
%%36-39
    b8 c' bis2. cis'2 | c8 b,2.. d4 b, | c8 bes,4 cis8 des b,2.. |
    c16-. cis8-. c16-. ces8-. b,4. bes,4 c2 |
\break
%%40-43
    dis4 bes, d b, des bis, |  dis2 bes, d | b, des bis, | c1 b,16 r4.. |
\break
%%44-47
    c16 d c8 b1 r4 | d16 c b8 c1 r4 | b16 c d1 r4. |
    c1.^\markup { \hspace #-10 \score {{
                    \set Staff.fontSize = #-4
                    \override Staff.StaffSymbol.staff-space = #(magstep -4)
                    \override Staff.StaffSymbol.thickness =#(magstep -4)
                    \override NoteHead.color = #red
                    \override Stem.color = #red
                    \clef treble \key c\major \time 3/2
                     r2^\markup{\hspace #-4 "treble; G clef on 2nd line"}
                     < g'' c'' g' >1_\markup{\hspace #-8 ( \italic "Tutti" S A T
                                            \hspace #1 \bold \italic "mp" ) }}
                    \layout { indent = 0.00\mm line-width = 23.00\mm
                   }}} |
\break
%%48-52
   \clef bass
   r8 cis8.^\< r8 c4 r8 c4.. r4\! |
   a4 g f a2 g8 f | g2 c4. d8 e2 | f1.~ | f1.^\fermata \bar "|."
}

%% midi line ---------------------------------------------------------------------
sopranoM = {
    \autoBeamOff
    f'2^\markup {\bold "soprano"} fis'2. e'8 ees' | f'2 fes'2. e'8 eis' |
    c'4. d'8 e'2. f'4 | c'2 r4 a'4. g'8 f' e' |
\break
    a'1. | b'4 f'8 d' fes'4 e'8 d' c' fis'4. |
    f'2. a'2 g'8 f' | g'4 f'2 d'8 c' d'2~ |
\break
    d'1 e'8 g' a'4~ | a'4 e'8 r8 f'8 a' b'2 fes'4 |
    r4 c'8 d' f'4 c'2.~ | c'1 \clef alto g4^\markup {\bold "alto"} a |
\break
%%12-47
    R1. * 34 \clef soprano | r2 g''1 |
\break
%%48-52
    r8 gis''8.\ppp r8 g''4\pp r8 g''4..\mp  r4 |
    g'2 a'2. g'8 f' | gis'2 a'2. g'8 f' | c''1.~ | c''1.^\fermata \bar "|."
}

altoM = {
    \autoBeamOff
%%1-12
    R1. * 12 |
\break
    b1 c'8 b aes4 | b2 a8 g ais4 f2 | b2 fis4 a4 g2 |
    a4 g4. f8 fis2 fes4 |
\break
    c'2 b8 aes gis4 bis2 | b8 a g c'4. a8 f ges2 |
    f1. | c'1. |
\break
    cis'8 ces' c'4 g2 f8 gis ges a |
    r8 a aes g4 r8 a ais g2 | r4 g4 a b2. |
    bes2 \clef tenor e2..^\markup {\bold "tenor"} ees8 |
\break
%%25-47
   R1. * 22 \clef alto | r2 c'1 |
\break
%%48
   r8 cis'8.\ppp r8 c'4\pp r8 c'4..\mp r4 |
    a'4 g'2 a'2. | g'4 a' d' e'8 f' g'2 | c''1.~ | c''1.^\fermata \bar "|."
}

tenorM = {
    \autoBeamOff
%%1-24
    R1. * 24 |
\break
    f2 d4. e8 fes g gis4 | ges8 fes fis e4. des2. |
    fis4 f dis1 | d2 des4 d'2. |
\break
    c'8. cis' d'4 des'8. ces' des'2 | dis'8 des' r8 c'2. d'4. |
    r2 cis'16 dis' ces' des' cis' dis' ces'8 des' cis' dis' c' |
\pageBreak
    dis'1 des'2~ | des' d'1 | dis'8 des' ces'2 cis'2. |
    \clef bass bes,8 ces b,2 c2. |
\break
%%35-47
    R1. * 11 \clef tenor | r2 g'1 |
\break
%%48-
    r8 gis'8.\ppp r8 g'4\pp r8 g'4..\mp  r4 |
    c'4 b g2 a8 b c'4 | b4 c' ges4. a8 b8 g4 a16 b |
    c'1.~ | c'1.^\fermata \bar "|."
}

bassM = {
    \autoBeamOff
%%1-35
    R1. * 35 |
\break
    b8 c' bis2. cis'2 | c8 b,2.. d4 b, | c8 bes,4 cis8 des b,2.. |
    c16-. cis8-. c16-. ces8-. b,4. bes,4 c2 |
\break
    dis4 bes, d b, des bis, | dis2 bes, d | b, des bis, | c1 b,16 r4.. |
\break
    c16 d c8 b1 r4 | d16 c b8 c1 r4 | b16 c d1 r4. | c1. |
\break
   r8 cis8.\ppp r8 c4\pp r8 c4..\mp r4 |
   a4 g f a2 g8 f | g2 c4. d8 e2 | f'1.~ | f'1.^\fermata \bar "|."
}


%% get sheet music ---------------------------------------------------------------
\score {
     <<
      \context ChoirStaff = "FourPartStaffaddchorus" <<
        \new Voice = "soprano" { \clef soprano \key c\major \time 3/2 \soprano }

        \new Voice = "alto" { \clef alto \key c\major \time 3/2 \alto }

        \new Voice = "tenor" { \clef tenor \key c\major \time 3/2 \tenor }

        \new Voice = "bass" { \clef bass \key c\major \time 3/2 \bass }
                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key c\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key c\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>
         >>

  \layout {
            \context { \Staff \RemoveEmptyStaves }
           }
}
%% get midi music ----------------------------------------------------------------
\score {
         <<
           \new Staff { \clef soprano \key c\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key c\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \altoM }

           \new Staff { \clef tenor \key c\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \tenorM }

           \new Staff { \clef bass \key c\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats         \bassM }

           %%\new Staff { \clef treble \key c\major \time 3/2 \tempo 4 = 40
           %%             \set Staff.midiInstrument = "acoustic grand"
           %%                                \unfoldRepeats       \pianoUPM }
           %%\new Staff { \clef bass \key c\major \time 3/2 \tempo 4 = 40
           %%             \set Staff.instrumentName = "acoustic grand"
           %%                                \unfoldRepeats     \pianoDownM }
         >>

  \midi { tempoWholesPerMinute = #(ly:make-moment 40 4) }
}
